PMEMCTO_STRDUP(3)

NAME

pmemcto_strdup - duplicate a string

SYNOPSIS

    #include <libpmemcto.h>

    char *pmemcto_strdup(PMEMctopool *pcp, const char *s);

DESCRIPTION

The pmemcto_strdup() function provides the same semantics as strdup(3), but operates on the memory pool pcp instead of the process heap supplied by the system. It returns a pointer to a new string which is a duplicate of the string s. Memory for the new string is obtained with pmemcto_malloc(3), on the given memory pool, and can be freed with pmemcto_free(3) on the same memory pool.

RETURN VALUE

On success, the pmemcto_strdup() function returns a pointer to the duplicated string. If pmemcto_strdup() is unable to satisfy the allocation request, a NULL pointer is returned and errno is set appropriately.

ERRORS

ENOMEM Insufficient memory available to allocate duplicated string.

SEE ALSO

jemalloc(3), malloc(3), strdup(3), wcsdup(3), pmemcto_malloc(3), pmemcto_wcsdup(3), libpmemcto(7) and <http://pmem.io>